cwlVersion: v1.0
class: Workflow
inputs:
  zip_file:
    type: File
  search_string:
    type: string
  output_filename: 
    type: string?

requirements:
  SubworkflowFeatureRequirement: {}

steps:
  date:
    run: date.cwl
    in: []
    out: [timestamp]
  counter:
    run: count-grepped-lines-wf.cwl
    in:
      zip_file: zip_file
      search_string: search_string
      output_filename: output_filename
    out: [occurences]
  md5sum:
    run: md5sum.cwl
    in:
      input_file: [counter/occurences]
      input_date: [date/timestamp]
    out: [output_hash]

outputs:
  count_hash:
    type: File
    outputSource: [md5sum/output_hash]
